## zsync-curl 0.6.2-3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(zsync-curl LANGUAGES C)

add_subdirectory(src)
