=== debian/changelog ===
zsync-curl (0.6.2-3) stable; urgency=medium

  * Do not replace zsync, provide zsync-curl and zsyncmake-curl binaries

 -- Jan Schneider <j.schneider@uib.de>  Thu, 24 Feb 2022 10:11:00 +0100

zsync-curl (0.6.2-2) stable; urgency=medium

  * Provides and Replaces zsync

 -- Jan Schneider <j.schneider@uib.de>  Mon, 22 Feb 2022 20:00:00 +0100

zsync-curl (0.6.2-1) stable; urgency=medium

  * New upstream release.

 -- Jan Schneider <j.schneider@uib.de>  Mon, 21 Feb 2022 08:30:00 +0100
