=== debian/control ===
Source: zsync-curl
Section: net
Priority: optional
Maintainer: uib GmbH <info@uib.de>
Build-Depends: debhelper (>= 10.0.0), cmake, automake, autoconf, libtool, libssl-dev, gcc, libcurl4-gnutls-dev, zlib1g-dev
Standards-Version: 4.1.3
Homepage: https://github.com/probonopd/zsync-curl

Package: zsync-curl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Partial/differential file download client over HTTP(S).
 Downloads a file over HTTP(S).
 zsync uses a control file to determine whether any blocks in the file are already known to the downloader, and only downloads the new blocks.
 This fork uses libcurl in order to support HTTPS and is mirrored from Launchpad.
 It has been further modified to respond more gracefully to redirects.
