=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	mv debian/zsync-curl/usr/bin/zsync debian/zsync-curl/usr/bin/zsync-curl
	mv debian/zsync-curl/usr/bin/zsyncmake debian/zsync-curl/usr/bin/zsyncmake-curl
